GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

          • Get a list of user built-in fields
          • Modify user built-in field configuration
          • Get a list of custom fields
          • Create/modify custom field definitions
          • Set the value of a custom field
          • Get custom field values ​​for users, groups, roles, and organizations
        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage custom fields

  10. /
  11. Set the value of a custom field

¶ Set the value of a custom field

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If this document description is incorrect, please refer to the V3 API.

Set the value of a custom field for a user, role, or department. If it exists, update it, and if it does not exist, create it.

¶ Method Name

ManagementClient.setCustomData

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
listSetCustomDataDto[]Yes-Custom data list array length limit: 50.
targetIdentifierstringYes-Unique identifier of the target object:
- If Yes user, the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If Yes role, the role's code, such as admin
- If Yes group, the group's code, such as developer
- If Yes department, the department's ID, such as 6343bafc019xxxx889206c4c
userId1
targetTypestringYes-Target object Type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
tenantIdstringNo-Tenant ID642c1df417c2d8a80d744c1d
namespacestringNo-The code of the permission group. This field is required when target_type is a role. If it is No, it can be ignored.default

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.IsSuccessRespDto;
import cn.authing.sdk.java.dto.SetCustomDataDto;
import cn.authing.sdk.java.dto.SetCustomDataReqDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

import java.util.ArrayList;
import java.util.List;

public class SetCustomDataTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        SetCustomDataReqDto reqDto = new SetCustomDataReqDto();
        List<SetCustomDataDto> list = new ArrayList<>();
        SetCustomDataDto dataDto = new SetCustomDataDto();
        dataDto.setKey("school");
        dataDto.setValue("pku");
        list.add(dataDto);
        reqDto.setList(list);
        reqDto.setTargetType(SetCustomDataReqDto.TargetType.USER);
        reqDto.setTargetIdentifier("6343b98b7cfxxx9366e9b7c");
        IsSuccessRespDto response = client.setCustomData(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataIsSuccessDtoWhether the operation is successful

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

¶ Data Structure

¶ SetCustomDataDto

NameType
Is it required
Description
Example Value
tenantIdstringNoTenant ID642c1df417c2d8a80d744c1d
keystringYesField key, cannot conflict with the key of built-in fieldsschool
valuestringYesCustom data, can be of any type, but must match the custom field type defined during creation, otherwise the setting will failpku

¶ IsSuccessDto

NameType
Is it required
Description
Example Value
successbooleanYesWhether the operation is successfultrue
Previous article: Create/modify custom field definitions Next article: Get custom field values ​​for users, groups, roles, and organizations
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.